Bug 920847 - [abrt] gparted-0.12.0-2.fc17: standard_calloc: Process /usr/sbin/gpartedbin was killed by signal 6 (SIGABRT)
Summary: [abrt] gparted-0.12.0-2.fc17: standard_calloc: Process /usr/sbin/gpartedbin w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:76b44a584914e042f1595064233...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-12 21:43 UTC by 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
Modified: 2013-07-20 09:49 UTC (History)
1 user (show)

Fixed In Version: gparted-0.16.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-20 09:42:56 UTC


Attachments (Terms of Use)
File: backtrace (93.05 KB, text/plain)
2013-03-12 21:43 UTC, 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
no flags Details
File: cgroup (131 bytes, text/plain)
2013-03-12 21:43 UTC, 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
no flags Details
File: core_backtrace (5.68 KB, text/plain)
2013-03-12 21:43 UTC, 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
no flags Details
File: dso_list (5.53 KB, text/plain)
2013-03-12 21:43 UTC, 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
no flags Details
File: environ (237 bytes, text/plain)
2013-03-12 21:43 UTC, 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-12 21:43 UTC, 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
no flags Details
File: maps (18.95 KB, text/plain)
2013-03-12 21:43 UTC, 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
no flags Details
File: open_fds (252 bytes, text/plain)
2013-03-12 21:43 UTC, 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
no flags Details
File: smolt_data (2.77 KB, text/plain)
2013-03-12 21:44 UTC, 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
no flags Details
File: var_log_messages (477 bytes, text/plain)
2013-03-12 21:44 UTC, 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93
no flags Details

Description 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:43:39 UTC
Version-Release number of selected component:
gparted-0.12.0-2.fc17

Additional info:
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
crash_function: standard_calloc
executable:     /usr/sbin/gpartedbin
kernel:         3.3.4-5.fc17.i686
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #8 standard_calloc at gmem.c:104
 #9 g_malloc0 at gmem.c:189
 #10 g_closure_new_simple at gclosure.c:206
 #11 g_cclosure_new at gclosure.c:917
 #12 g_signal_connect_data at gsignal.c:2447
 #13 gtk_window_init at gtkwindow.c:971
 #14 g_type_create_instance at gtype.c:1884
 #15 g_object_constructor at gobject.c:1849
 #17 Glib::Object::Object at object.cc:231
 #18 Gtk::Object::Object at object.cc:35

Comment 1 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:43:43 UTC
Created attachment 709182 [details]
File: backtrace

Comment 2 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:43:45 UTC
Created attachment 709183 [details]
File: cgroup

Comment 3 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:43:47 UTC
Created attachment 709184 [details]
File: core_backtrace

Comment 4 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:43:49 UTC
Created attachment 709185 [details]
File: dso_list

Comment 5 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:43:51 UTC
Created attachment 709186 [details]
File: environ

Comment 6 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:43:53 UTC
Created attachment 709187 [details]
File: limits

Comment 7 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:43:56 UTC
Created attachment 709188 [details]
File: maps

Comment 8 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:43:58 UTC
Created attachment 709189 [details]
File: open_fds

Comment 9 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:44:00 UTC
Created attachment 709190 [details]
File: smolt_data

Comment 10 6663bcdbe265d507c8d8cd7d8898d05c8d0c2a93 2013-03-12 21:44:03 UTC
Created attachment 709191 [details]
File: var_log_messages

Comment 11 Fedora Update System 2013-06-11 16:36:42 UTC
gparted-0.16.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc18

Comment 12 Fedora Update System 2013-06-11 16:37:41 UTC
gparted-0.16.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc19

Comment 13 Fedora Update System 2013-06-11 16:38:35 UTC
gparted-0.16.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gparted-0.16.1-1.fc17

Comment 14 Fedora Update System 2013-06-12 02:37:28 UTC
Package gparted-0.16.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.16.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10621/gparted-0.16.1-2.fc18
then log in and leave karma (feedback).

Comment 15 Fedora End Of Life 2013-07-04 07:42:23 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora Update System 2013-07-20 09:42:56 UTC
gparted-0.16.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-07-20 09:48:36 UTC
gparted-0.16.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-07-20 09:49:24 UTC
gparted-0.16.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.